wikicurses(1)

NAME
wikicurses - curses interface for MediaWiki

SYNOPSIS
wikicurses [-h] [--wiki WIKI] [-d | -f | -p] [search]

CONTROLS

  General

j or down
    Scroll down

k or up
    Scroll up

^b or pagedown
    Scroll down one page

^f or pageup
    Scroll up one page

g or home
    Scroll to top

G or end
    Scroll to bottom

  Pager

c
    Open table of contents

o
    Open search box

q or :q[uit]
    Exit

:bmark
    Bookmark page

:bmarks
    Open bookmarks

:links
    Open list of internal links in page

:iwlinks
    Open list of interwiki links in page

:extlinks
    Open list of external links in page to open in browser

:langs
    Open list of languages the article is available in

:wikis
    Open list of configured wikis, see wikicurses.conf(5)

:feeds
    Open a list of featured feeds on the current wiki

:clearcache
    Clears the cache; exiting the program has an equivalent effect

:edit
    Edit wiki page (opens in $EDITOR)

:help
    Display man page

:back, h, or left
    Go backward in history

:forward, l, or right
    Go forward in history

:random
    Go to a random page

/
    Search page and highlight matching text. Supports regular expressions.

  Bookmarks Menu

x or delete
    Delete selected bookmark

u
    Undo deletion

  Search

tab
    Tab completion for page title

OPTIONS

-h, --help
    Display help message

-w, --wiki <wiki>
    Url or name of wiki to use

-f, --feed <name>
    view featured feed

--dumpcolors
    write current color settings to config file

COLOR SETTINGS
To use colors other than the defaults, you need a file called ~/.config/wikicurses/colors. To create this file with the current color settings, run wikicurses --dumpcolors. This is a configuration file containing various things that can be colored. Each has allows setting display settings (bold, underline, or standout), foreground color, background color, and text alignment. Multiple settings can be set by separating with spaces. The color options are the same as in urwid (see http://urwid.org/manual/displayattributes.html).

ENVIRONMENT VARIABLES

HOME, XDG_CONFIG_HOME
    Determines where to look for and store configuration files.

EDITOR
    The name of the command to use as a text editor, defaulting to vim.

BROWSER
    The name of the command to use as a web browser, defaulting to lynx.

EXAMPLES

wikicurses Wiki
    Look up "Wiki" on the default wiki

wikicurses -w ArchWiki Dwm
    Look up "Dwm" on the Archlinux Wiki, where "ArchWiki" is configured in wikicurses.conf(5)

wikicurses -w http://en.wiktionary.org/w/api.php penguin
    Look up "penguin" on Wiktionary

wikicurses -f potd
    Open "potd" (Picture of the Day) feed

SEE ALSO
wikicurses.conf(5)

BUGS
https://github.com/ids1024/wikicurses/issues